> ## Documentation Index
> Fetch the complete documentation index at: https://docs-test.symmetry.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve taxes for a location

> Retrieve potentially applicable taxes for a location



## OpenAPI

````yaml /ste/api-reference/ste-hosted-api.yaml post /v1/locationTax
openapi: 3.0.3
info:
  title: STE Hosted API
  description: Symmetry Tax Engine Hosted API
  version: all
  termsOfService: https://www.symmetry.com/terms
  contact:
    name: Symmetry Website
    url: https://www.symmetry.com/
servers:
  - url: https://ste.symmetry.com/ste-hosted
security:
  - apiKey: []
tags:
  - name: Account Information and Schema
    description: Account information and schema retrieval endpoints
  - name: Benefits
    description: Employee benefits status and information
  - name: Location Code
    description: Location code lookup
  - name: Location Tax Information
    description: Location-based tax information and configuration
  - name: Payroll Calculations
    description: Payroll tax calculation endpoints
  - name: Tax Information
    description: Tax ID and reference information
  - name: Documentation
    description: API documentation and specification
  - name: STEVersions
    description: Installed STE database version discovery
paths:
  /v1/locationTax:
    post:
      tags:
        - Location Tax Information
      summary: Retrieve taxes for a location
      description: Retrieve potentially applicable taxes for a location
      operationId: locationTax
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                LocationTaxRequest:
                  $ref: '#/components/schemas/LocationTaxRequest'
            example:
              LocationTaxRequest:
                taxReferenceFull:
                  - locationCodeFull: STATE:39-CNTY:035-CITY:1066654-JEDD:018-SCHL:1809
                    isResident: true
                    payDate: '2026-03-24'
          application/xml:
            schema:
              type: object
              properties:
                LocationTaxRequest:
                  $ref: '#/components/schemas/LocationTaxRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LocationTaxResponse'
              example:
                LocationTaxResponse:
                  httpStatusCode: 200
                  errorStatus:
                    errorMessage: No error
                    errorCode: 0
                  transactionStamp:
                    totalTransactions: 1
                    schemaVersion: v1
                    failedTransactions: 0
                    steVersion: 2026-R1
                    transactionType: LocationTax
                    calcDateTime: '2026-03-24T13:32:44Z'
                  taxItemFull:
                    - isEmployerTax: true
                      description: Ohio State Unemployment Tax
                      taxIDSuffix: '000'
                      credit: 0
                      wageBase: 9000
                      creditLimit: 0
                      taxEffectiveDate: '2026-01-01'
                      stateCode: '39'
                      isResident: true
                      taxType: ER_SUTA
                      taxLimitPeriod: None
                      stateAbbreviation: OH
                      rateType: percentage
                      stateName: Ohio
                      taxLimit: 0
                      rate: 0
                      nonResRate: 0
                      taxInstallationDate: '2026-01-01'
                      uniqueTaxID: 39-000-0000-ER_SUTA-000
                    - isEmployerTax: false
                      description: Ohio State Tax
                      taxIDSuffix: '000'
                      credit: 0
                      wageBase: 0
                      creditLimit: 0
                      stateCode: '39'
                      isResident: true
                      taxType: SIT
                      stateAbbreviation: OH
                      stateName: Ohio
                      taxLimit: 0
                      rate: 0
                      uniqueTaxID: 39-000-0000-SIT-000
            application/xml:
              schema:
                $ref: '#/components/schemas/LocationTaxResponse'
components:
  schemas:
    LocationTaxRequest:
      type: object
      properties:
        taxReferenceFull:
          type: array
          items:
            $ref: '#/components/schemas/taxReferenceFullType'
    LocationTaxResponse:
      type: object
      properties:
        httpStatusCode:
          type: integer
        errorStatus:
          $ref: '#/components/schemas/errorType'
        transactionStamp:
          $ref: '#/components/schemas/transactionStampType'
        taxItemFull:
          type: array
          items:
            $ref: '#/components/schemas/taxItemFullType'
    taxReferenceFullType:
      type: object
      properties:
        locationCode:
          $ref: '#/components/schemas/locationCodeType'
        locationCodeFull:
          $ref: '#/components/schemas/locationCodeFullType'
        payDate:
          $ref: '#/components/schemas/date'
        isResident:
          type: boolean
          description: >-
            Indicates the employee is considered a resident for the purposes of
            calculating this tax.
        municipalityCode:
          nullable: true
          type: string
          description: >-
            If a municipality code was returned from the `/locationCode`
            endpoint, set it here.
        nonActiveTaxes:
          type: boolean
          description: >-
            Set to true to also return historical taxes that have been
            inactivated. Defaults to false if not set.
        schoolCode:
          nullable: true
          type: string
          description: >-
            If a school code was returned from the `/locationCode` endpoint, set
            it here.
        includeNoTaxStates:
          type: boolean
        includeRailroadTaxes:
          type: boolean
          description: >-
            Set to true to return railroad taxes (RRTA & RUIA) when using the
            federal location code (`"00-000-0000"`). Defaults to false if not
            set.
    errorType:
      type: object
      properties:
        errorCode:
          type: integer
        errorMessage:
          type: string
    transactionStampType:
      type: object
      properties:
        calcDateTime:
          $ref: '#/components/schemas/dateTime'
        failedTransactions:
          type: integer
        schemaVersion:
          type: string
        steVersion:
          type: string
        totalTransactions:
          type: integer
        transactionType:
          type: string
          enum:
            - PayCalc
            - LocationCode
            - JurisdictionData
            - SetTaxList
            - BenefitStatus
            - BenefitInfo
            - TaxIDList
            - GrossUp
            - GetSchema
            - AccountInfo
            - STEVersions
    taxItemFullType:
      type: object
      properties:
        stateCode:
          type: string
        stateName:
          type: string
        stateAbbreviation:
          type: string
        municipalityCode:
          type: string
          description: >-
            If a municipality code was returned from the `/locationCode`
            endpoint, set it here.
        municipalityName:
          type: string
        cityCode:
          type: string
        cityName:
          type: string
        countyCode:
          nullable: true
          type: string
        countyName:
          type: string
        schoolCode:
          type: string
          description: >-
            If a school code was returned from the `/locationCode` endpoint, set
            it here.
        schoolName:
          type: string
        credit:
          type: number
          description: >-
            Reciprocity credit rate as a percentage (0-100), NOT a dollar
            amount. For example, `100` means 100% of the tax paid to another
            jurisdiction is credited, subject to `creditLimit`.
        creditLimit:
          type: number
          description: >-
            Maximum credit expressed as a percentage of wages (NOT a dollar
            amount), typically capped at this jurisdiction's own tax rate. For
            example, `2.5` means 2.5%.
        description:
          type: string
        isEmployerTax:
          type: boolean
        isResident:
          type: boolean
          description: >-
            Indicates the employee is considered a resident for the purposes of
            calculating this tax.
        psdCode:
          type: string
        rate:
          type: number
        nonResRate:
          type: number
        rateType:
          type: string
        taxEffectiveDate:
          $ref: '#/components/schemas/date'
        taxInstallationDate:
          $ref: '#/components/schemas/date'
        taxLimit:
          type: number
        taxLimitPeriod:
          type: string
        uniqueTaxID:
          $ref: '#/components/schemas/uniqueTaxIDType'
        wageBase:
          type: number
        jurisdictionData:
          type: array
          items:
            $ref: '#/components/schemas/jurisdictionDataFullType'
        country:
          nullable: true
          type: string
        provinceCode:
          nullable: true
          type: string
        provinceAbbreviation:
          nullable: true
          type: string
        provinceName:
          nullable: true
          type: string
        LCPRate:
          nullable: true
          type: number
        LCPAmount:
          nullable: true
          type: number
        basicAmount:
          nullable: true
          type: number
        v1Rate:
          nullable: true
          type: number
        AverageAssessmentRate:
          nullable: true
          type: number
        MaximumInsurable:
          nullable: true
          type: number
        annual_max:
          nullable: true
          type: number
        max_contribution:
          nullable: true
          type: number
        max_contribution_period:
          nullable: true
          type: number
        helpText:
          nullable: true
          type: string
        taxType:
          nullable: true
          type: string
        taxIDSuffix:
          nullable: true
          type: string
    locationCodeType:
      type: string
    locationCodeFullType:
      type: string
    date:
      type: string
    dateTime:
      type: string
    uniqueTaxIDType:
      type: string
    jurisdictionDataFullType:
      type: object
      properties:
        uniqueTaxID:
          $ref: '#/components/schemas/uniqueTaxIDType'
        dataType:
          $ref: '#/components/schemas/dataTypeValues'
        certificateLineNo:
          type: string
        defaultValue:
          type: string
        description:
          type: string
        helpText:
          type: string
        listValues:
          nullable: true
          type: string
        parameterName:
          type: string
        regex:
          type: string
        regexDescription:
          type: string
        regexType:
          type: string
        stateAbbreviation:
          type: string
        stateCode:
          type: string
        isOptional:
          type: boolean
        provinceAbbreviation:
          nullable: true
          type: string
        provinceCode:
          nullable: true
          type: string
        taxEffectiveDate:
          nullable: true
          type: string
    dataTypeValues:
      type: string
      enum:
        - Integer
        - Dollar
        - Boolean
        - String
        - Percentage
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        API key for authentication. Provide the raw key as the value of the
        Authorization header (no "Bearer" prefix).

````